Skip to content

Assign API Definition.

POST
/api/config/namespaces/{namespace}/virtual_hosts/{name}/api_definitions/assign
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/virtual_hosts/example/api_definitions/assign \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "api_definition": { "name": "example", "namespace": "example" }, "create_new": true, "name": "example", "namespace": "example" }'

Set a reference to the API Definition, with an option to create an empty one if not exists.

Examples of this operation.

namespace
required
string

Namespace Namespace of the Virtual Hosts.

name
required
string

Name Name of the Virtual Hosts.

Media typeapplication/json
Assign API Definition Request

Request form for Assign API Definition.

object
api_definition
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
create_new
Create if not exists

Create an empty API Definition object, if not exists.

boolean format: boolean
name
Name

Name of the Virtual Hosts.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace of the Virtual Hosts.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"api_definition": {
"name": "example",
"namespace": "example"
},
"create_new": true,
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
Assign API Definition Response

Response form for Assign API Definition.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example